<template>
  <v-container>
    <div id="chart">
      <apexchart type="line" :width="width" :height="height" :options="chartOptions" :series="series" />
    </div>
  </v-container>
</template>
<script>
export default {
  name: 'ChartLine',
  props: {
    'title': { default: '', type: String },
    'titleX': { default: '', type: String },
    'titleY': { default: '', type: String },
    'width': { default: 350, type: Number },
    'height': { default: 350, type: Number },
    'series': { type: Array },
  },
  data() {
    return {
      chartOptions: {
        chart: {
          height: 350,
          type: 'bar',
          stacked: false,
        },
        dataLabels: {
          enabled: false,
        },
        stroke: {
          width: [1, 4],
        },
        title: {
          text: 'XYZ - Stock Analysis (2009 - 2016)',
          align: 'left',
          offsetX: 110,
        },
        xaxis: {
          categories: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul'],
        },
        yaxis: [
          {
            axisTicks: {
              show: true,
            },
            axisBorder: {
              show: true,
              color: '#008FFB',
            },
            labels: {
              style: {
                colors: '#008FFB',
              },
            },
            title: {
              text: 'Income (thousand crores)',
              style: {
                color: '#008FFB',
              },
            },
            tooltip: {
              enabled: true,
            },
          },
          {
            seriesName: 'Cashflow',
            opposite: true,
            axisTicks: {
              show: true,
            },
            axisBorder: {
              show: true,
              color: '#00E396',
            },
            labels: {
              style: {
                colors: '#00E396',
              },
            },
            title: {
              text: 'Revenue (thousand crores)',
              style: {
                color: '#00E396',
              },
            },
          },
        ],
        tooltip: {
          fixed: {
            enabled: true,
            position: 'topLeft', // topRight, topLeft, bottomRight, bottomLeft
            offsetY: 30,
            offsetX: 60,
          },
        },
        legend: {
          horizontalAlign: 'left',
          offsetX: 40,
        },
      },
    };
  },
};
</script>